
;*********** global defines for SDS program


TMR_HIGH           	equ            0-18h               ;10 mS rate 7.372800 MHz
TMR_LOW            	equ            0
REG0				equ			0
REG1				equ			1
REG2				equ			2
REG3				equ			3
REG4				equ			4
REG5				equ			5
REG6				equ			6
REG7				equ			7


;******** Ram locations **************************

;                  	00-07h         rb0 {exec code}     off limits
;                  	08-0fh         rb1 {timer #1}      off limits
;                  	10-29h         hardware stack      off limits
;                  	2a-2fh         flags {50-7f}       off limits
;                  	30-47h         Personality RAM 	off limits
;				48-7f		OK to access		



FLAGS	         	equ            30h   			;personality data from EEPROM              
;		         	equ            31h				;
HIGH_33	         	equ            32h				;
LOW_33	         	equ            33h				;
HIGH_45	         	equ            34h				;	
LOW_45	         	equ            35h				;
CYCLES_HI	         	equ            36h				;
CYCLES_LO         	equ            37h                 

HOURS_MSB         	equ            38h                 ;
;		         	equ            39h                 ;
;		         	equ            3ah				;
HOURS_LSB         	equ            3bh				;
;		         	equ            3ch				;
;		         	equ            3dh                 ;
CAL_HI	         	equ            3eh				;
CAL_LO	         	equ            3fh				;

ATTN_33	         	equ            40h                 ;
ATTN_45	         	equ            41h				;End of personality data
;		         	equ            42h
;		         	equ            43h
;		         	equ            44h
;		         	equ            45h
;		         	equ            46h
;		         	equ            47h 

DISP1	         	equ            48h                 ;LED display data
DISP2	         	equ            49h				;DISP7-DISP1 7 seg front panel display
DISP3	         	equ            4ah				;DISP1 right most LED
DISP4	         	equ            4bh
DISP5	         	equ            4ch
DISP6	         	equ            4dh
DISP7	         	equ            4eh
DISP8	         	equ            4fh                 ;DISP8 controls 33/45 RPM icons

TM_DELAY	         	equ            50h   			;typematic delay timer              
KEY_DELAY	         	equ            51h                 ;short/long press timer
BCD3		         	equ            52h
BCD2		         	equ            53h
BCD1		       	equ            54h
HEX2		         	equ            55h                 
HEX1		        	equ            56h
;		         	equ            57h                

VOLT_TIMER         	equ            58h                 ;reduce voltage timer
MILEAGE_TMRHI      	equ            59h                 ;6 min timer total=36,000
MILEAGE_TMRLO      	equ            5ah
TM_SPEED	         	equ            5bh				;typematic speed timer
LIMIT	         	equ            5ch				;limit for freq change up/down
;		         	equ            5dh                 
;		         	equ            5eh
;		         	equ            5fh

;		         	equ            60h                 
;		         	equ            61h
;		         	equ            62h
;		         	equ            63h
;		         	equ            64h
;		         	equ            65h
;		         	equ            66h
;		         	equ            67h                 

;		         	equ            68h                 
;		         	equ            69h                 
;		         	equ            6ah
;		         	equ            6bh
;		         	equ            6ch
;		         	equ            6dh                 
;		         	equ            6eh
;		         	equ            6fh

;		         	equ            70h                 
;		         	equ            71h
;		         	equ            72h
;		         	equ            73h
;		         	equ            74h
;		         	equ            75h
;		         	equ            76h
;		         	equ            77h                 

;		         	equ            78h                 
;		         	equ            79h                 
;		         	equ            7ah
;		         	equ            7bh
;		         	equ            7ch
;		         	equ            7dh                 
;		         	equ            7eh
;		         	equ            7fh




;*********** Define Flags ******************

;2ah
SHORT	         	equ            50h    			;short timer expired             
LONG		         	equ            51h                 ;long timer expired
KEYED	         	equ            52h                 ;freq button pressed
TYPEMATIC	         	equ            53h                 ;typematic enabled
TM_TOT	         	equ            54h                 ;typematic time out
KEY_LONG	         	equ            55h                 ;freq button long press
KEY_SHORT	         	equ            56h                 ;freq button short press
VOLT_TOT         	equ            57h				;reduce voltage timer expired

;2bh
MILEAGE_TOT        	equ            58h                 ;6 min timer expired
STATE	         	equ            59h                 
;		         	equ            5ah                 
;		         	equ            5bh                 
;		         	equ            5ch                 
;		         	equ            5dh                 
;		         	equ            5eh                 
;		         	equ            5fh                 


;2ch   
;		         	equ            60h
;		         	equ            61h
;		         	equ            62h
;		         	equ            63h
;		         	equ            64h
;		         	equ            65h
;		         	equ            66h
;		         	equ            67h

;2dh   
;		         	equ            68h
;		         	equ            69h                 
;		         	equ            69h                 
;		         	equ            6ah
;		         	equ            6bh
;		         	equ            6ch
;		         	equ            6dh
;		         	equ            6eh
;		         	equ            6fh

;2eh  
;		         	equ            70h                 
;		         	equ            71h                 
;		         	equ            72h                 
;		         	equ            73h                 
;		         	equ            74h
;		         	equ            75h                 
;		         	equ            76h                 
;		         	equ            77h                 

;2fh    
;		         	equ            78h
;		         	equ            79h
;		         	equ            7ah
;		         	equ            7bh
;		         	equ            7ch                 
;		         	equ            7dh                 
;		         	equ            7eh                 
;		         	equ            7fh

;Port 0

UP				equ			80h				;front panel buttons active lo	
DOWN				equ			81h				;front panel buttons active lo
SPEED			equ			82h				;front panel buttons active lo
DATA_IN			equ			83h				;Input data from EEPROM
;				equ			84h
;				equ			85h
;				equ			86h
;				equ			87h


;Port 1

EE_CE	         	equ            90h                 ;EEPROM CE active lo
SCK		         	equ            91h                 ;EEPROM clk
SDATA	         	equ            92h                 ;Data to EEPROM
MUXA		         	equ            93h				;Attn LSB
MUXB		         	equ            94h                 
MUXC		         	equ            95h                 ;Attn MSB
;		         	equ            96h                 
SINE_DIS	         	equ            97h     			;Hi=output off

;Port 2			8 bit data bus   

         

;Port 3

MODE		         	equ            0b0h				;LED display control
A0				equ			0b0h                ;U5 address bits
A1		         	equ            0b1h                ;U5 address bits
SINE_Q5	         	equ            0b2h                ;input from U7 fo/2
OUT_DET	         	equ            0b3h                ;input from output detector U12A
LED_WR	         	equ            0b4h                ;LED display control
TIMER_RD	         	equ            0b5h                ;U5 read output active lo
TIMER_WR        	equ            0b6h                ;U5 write output active lo
TIMER_CS      		equ            0b7h 		     ;U5 chip select active lo


